{% extends 'core/layout_base.html' %}
{% load i18n %}
{% load extra_filters %}


{% block head %}
<link href='http://fonts.googleapis.com/css?family=Carrois+Gothic' rel='stylesheet' type='text/css'>
<link href="{{STATIC_URL}}css/app.less" rel="stylesheet/less" type="text/css" />
<link href="{{STATIC_URL}}icons/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<script src="{{ STATIC_URL }}lib/less-1.3.3.min.js" language="javascript"></script>
{% endblock %}

{% block body %}

    <div class="slice dark" id="logo-slice">
        <div class="container">
            <ul class="nav nav-pills pull-right">
                <li class="divider-vertical"></li>

                {% with organizations=user.organizations.all %}

                    {% if organizations|length_is:"1" %}

                        <li>
                            <span class="icon-briefcase"></span>
                                {{ current_organization|truncate_chars:20|default:'NO ORGANIZATION!' }}
                            <span class="caret"></span>
                        </li>

                    {% else %}

                        <li class="dropdown">
                            <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                                <!--<img src="{{STATIC_URL}}/img/favicon-ah.ico" width="16"></img>-->
                                <span class="icon-briefcase"></span>
                                {{ current_organization|truncate_chars:20|default:'NO ORGANIZATION!' }}
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu">
                                <li class="muted centered">
                                    {{ current_organization }}
                                </li>
                                <li class="divider"></li>
                                <li>
                                    <a href="{% url 'organization_list' %}">
                                        {% trans 'Manage organizations' %}
                                    </a>
                                </li>
                                <li class="divider"></li>

                                {% for org in organizations %}
                                <li>
                                    <a href="{% url 'change_organization' org.pk %}">
                                        <span class="icon-briefcase"></span>
                                        {{ org.name }}
                                    </a>
                                </li>
                                {% endfor %}
                            </ul>
                        </li>

                    {% endif %}

                {% endwith %}

                <li class="dropdown">
                    <a class="dropdown-toggle" data-toggle="dropdown" href="#"
                        rel="tooltip" title="{{user.email}}">
                        <span class="icon-user"></span>
                        {{ user.email|truncate_chars:20|default:'Anonymous!' }}
                        <span class="caret"></span>
                    </a>
                    <ul class="dropdown-menu">
                        <li class="muted centered">
                            {{ user.email }}
                        </li>
                        <li class="divider"></li>
                        <li><a href="{% url "my_profile" %}">
                            <span class="icon-user"></span>
                            {% trans 'Profile' %}
                        </a></li>
                        <li><a href="{% url "logout" %}">
                            <span class="icon-signout"></span>
                            {% trans 'Log out' %}
                        </a></li>
                    </ul>
                </li>
            </ul>
            <div class="p4e-logo dark">
                <a href="{% url "home" %}">
                    <img src="{{ STATIC_URL }}img/p4e-square.jpg" />
                    SAMS
                </a>
            </div>
        </div>
    </div>


    {% block extra_navbar %}
    {% endblock %}

    {% if messages %}
    <div class="slice" id="">
        <div class="container">
            <!-- Messages -->
            <div class="row">
                <div class="col-md-12">
                <ul class="messages">
                    {% for message in messages %}
                    <li class="alert {% if message.tags %}alert-{{ message.tags }}{% endif %}">
                        {{ message }}
                        <a href="#" class="close" data-dismiss="alert">×</a>
                    </li>
                    {% endfor %}
                </ul>

                </div>
            </div>
        </div>
    </div>
    {% endif %}

    {% block content %}
        <div class="slice" id="content-slice">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">

                        <h2>Content.</h2>

                    </div>
                </div>
            </div>
        </div>
    {% endblock %}

    <div class="footer-slice">
        <div class="container">
            <div class="col-md-12">
                <div class="pull-left">
                    <strong>
                        People 4 Earth, 2013
                    </strong>
                    <p>
                        http://www.people4earth.org
                    </p>
                </div>

                <div class="pull-right">
                    SAMS v0.1
                </div>
                <div class="clearfix"></div>
            </div>
        </div>
    </div>


{% endblock %}